﻿#pragma strict

import UnityEngine.UI;

static var gameStatus : String;
static var playerObject : GameObject;
static var depression : float;
var depressionBar : UnityEngine.UI.Slider;
var player : GameObject;
var gameOverTimer : float = 0;

function Start () {
	gameStatus = "Running";
	depression = 0;
	playerObject = player;
}

function Update () {
	DepressionMeter();
	
	if (GameObject.FindGameObjectsWithTag ("Enemy"))
		Debug.Log("Found Enemy");
	else
		gameStatus = "GameOver";
		
	if (gameStatus == "GameOver")
		GameOver();
}

function DepressionMeter(){
	if (depression >= 100)
		gameStatus = "GameOver";
	else if (depression < 0)
		depression = 0;
	else if (depression > 0 && depression < 100)
		depression -= Time.deltaTime;
	
	depressionBar.value = depression;
}

function GameOver () {
	gameOverTimer += Time.deltaTime;
	
	if (gameOverTimer >= 5) {
		Application.LoadLevel("EndGame");
	}
}